Reorder checklist items (within and across checklists)
POST
/boards/{board}/cards/{card}/checklists/items/reorder
const url = 'https://projects.work.optidata.cloud/api/boards/1/cards/1/checklists/items/reorder';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"items":[{"id":501,"checklist_id":120,"order":0},{"id":502,"checklist_id":121,"order":0}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://projects.work.optidata.cloud/api/boards/1/cards/1/checklists/items/reorder \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "items": [ { "id": 501, "checklist_id": 120, "order": 0 }, { "id": 502, "checklist_id": 121, "order": 0 } ] }'Bulk-positions checklist items; an item may be moved to a different checklist of the same card by sending a new checklist_id.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”board
required
integer
Board id.
card
required
integer
Card id (must belong to the board).
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
items
required
Array<object>
object
id
required
Checklist item id.
integer
checklist_id
required
Target checklist.
integer
order
required
integer
Example
{ "items": [ { "id": 501, "checklist_id": 120, "order": 0 }, { "id": 502, "checklist_id": 121, "order": 0 } ]}Responses
Section titled “ Responses ”Order saved. No content.
Missing, invalid or expired bearer passport.
Media typeapplication/json
object
error
string
Example
{ "error": "JWT passport exception: Missing bearer token in request"}The authenticated user lacks the required board permission.
Media typeapplication/json
object
message
string
Example
{ "message": "This action is unauthorized."}Resource not found, or a nested resource does not belong to its parent in the path.
Media typeapplication/json
object
message
string
Example
{ "message": "Not found."}Validation failed.
Media typeapplication/json
object
message
First validation error message.
string
errors
Map of field name → list of error messages.
object
key
additional properties
Array<string>
Example
{ "message": "The name field is required.", "errors": { "name": [ "The name field is required." ] }}